Bug 14116 - Join using netbios name and realm instead of machine fqdn
Join using netbios name and realm instead of machine fqdn
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-04 15:11 UTC by Isaac Boukris
Modified: 2020-02-07 11:11 UTC (History)
5 users (show)

See Also:


Attachments
netdom captures (128.35 KB, application/x-compressed-tar)
2019-09-12 10:11 UTC, Isaac Boukris
no flags Details
Patch for v4-10-test and v4-11-test branches (23.24 KB, patch)
2019-10-28 13:03 UTC, Isaac Boukris
asn: review+
ab: review+
asn: ci‑passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Isaac Boukris 2019-09-04 15:11:56 UTC
See discussion at:
https://lists.samba.org/archive/samba-technical/2019-August/134154.html
Comment 1 Isaac Boukris 2019-09-12 10:11:25 UTC
Created attachment 15468 [details]
netdom captures
Comment 2 Isaac Boukris 2019-10-28 13:03:36 UTC
Created attachment 15572 [details]
Patch for v4-10-test and v4-11-test branches
Comment 3 Isaac Boukris 2019-10-28 13:08:31 UTC
The patchset applies cleanly to v4-10-test and v4-11-test branches, pipelines:
https://gitlab.com/samba-team/devel/samba/pipelines/91969367
https://gitlab.com/samba-team/devel/samba/pipelines/91968967

Please review.
Comment 4 Alexander Bokovoy 2019-10-30 11:57:50 UTC
Comment on attachment 15572 [details]
Patch for v4-10-test and v4-11-test branches

LGTM
Comment 5 Andreas Schneider 2019-10-30 12:43:17 UTC
Karolin, could you please apply the patches to the relevant branches? Thanks!
Comment 6 Karolin Seeger 2019-11-05 08:55:58 UTC
(In reply to Andreas Schneider from comment #5)
Pushed to autobuild-v4-{11,10}-test.
Comment 7 Karolin Seeger 2019-11-06 09:30:44 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to both branches.
Closing out bug report.

Thanks!